Page MenuHomePhabricator

Have swift metrics available in Prometheus
Closed, ResolvedPublic

Description

Swift at the moment pushes its metrics over to statsite running on localhost, which then forwards the aggregated metrics to graphite via tcp carbon protocol.

It would desirable as part of the general plan to move to Prometheus to have said metrics also available in Prometheus. We can achieve that by using statsd_exporter and a configuration suitable for swift metrics. The exporter will be inline WRT stats traffic, in other words something like this:

swift -> statsd_exporter -> statsite -> graphite

Proposed migration plan:

  • Test statsd_exporter inline like we did for thumbor in T145867, e.g. in deployment-prep and come up with a suitable configuration
  • Develop and test the related puppetization to have statsd_exporter running on swift machines, plus the Prometheus configuration
  • Migrate dashboards and alerting accordingly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2018, 11:15 AM
MoritzMuehlenhoff triaged this task as Medium priority.Feb 26 2018, 11:21 AM
fgiunchedi closed this task as Resolved.Sep 6 2019, 12:37 PM
fgiunchedi claimed this task.